package com.example.wanandroidformine

import android.app.Application
import com.example.wanandroidformine.adapter.ActivityLifecycleCallbacksAdapter
import com.example.wanandroidformine.net.NetWorkManager
import com.orhanobut.logger.AndroidLogAdapter
import com.orhanobut.logger.Logger


/**
 *
 *   WanAndroidForMineApplication
 *   @meaning
 *   @remarks
 *  ╮(￣▽￣)╭
 *   @author QJ Shi
 *   @date 2022/9/5
 */
class WanAndroidForMineApplication : Application() {



    companion object {
        var instance: WanAndroidForMineApplication? = null
    }


    override fun onCreate() {
        super.onCreate()
        instance = this
        NetWorkManager.getInstance().init()
        Logger.addLogAdapter(AndroidLogAdapter())
        Logger.e("Logger----------------------AndroidLogAdapter")
        // TitleBar.initStyle(ITitleBarStyle)
        //rigesterActivityCallbacks()





    }

    private fun rigesterActivityCallbacks() {


        registerActivityLifecycleCallbacks(
            ActivityLifecycleCallbacksAdapter(
            onActivityCreated = {
                    activity, _ ->
               var apManager:AppManager= AppManager()
                apManager.attach(activity)
            },
        )
        )



    }

}