package com.example.wanandroidformine.adapter

import android.content.Context
import android.view.LayoutInflater
import com.bumptech.glide.Glide
import com.chad.library.adapter.base.BaseQuickAdapter
import com.chad.library.adapter.base.BaseViewHolder
import com.example.wanandroidformine.R
import com.example.wanandroidformine.javaBean.HomeData
import com.example.wanandroidformine.javaBean.HomeListBean
import com.orhanobut.logger.Logger


/**
 *
 *   HomeListAdapter
 *   @meaning
 *   @remarks
 *  ╮(￣▽￣)╭
 *   @author QJ Shi
 *   @date 2022/9/13
 */
class HomeListAdapter(layoutId:Int, data:MutableList<HomeData>?): BaseQuickAdapter<HomeData, BaseViewHolder>(layoutId,data){


    override fun convert(helper: BaseViewHolder, item: HomeData?) {
        item?.run {
            helper.setText(R.id.home_item_title,title)
                .setText(R.id.home_item_time,niceDate)
        //    Logger.e(item.toString())
//            Glide.with(mContext)
//                .load( it?.link)
//                .into(helper?.getView(R.id.banner_item_iv))
        }
    }

}


