package com.example.wanandroidformine.javaBean

import android.os.Parcel
import android.os.Parcelable


/**
 *
 *   BannerBean
 *   @meaning
 *   @remarks
 *  ╮(￣▽￣)╭
 *   @author QJ Shi
 *   @date 2022/9/13
 */
open class BannerBean : Parcelable {

    /**
     * desc : 一起来做个App吧
     * id : 10
     * imagePath : http://www.wanandroid.com/blogimgs/50c115c2-cf6c-4802-aa7b-a4334de444cd.png
     * isVisible : 1
     * order : 0
     * title : 一起来做个App吧
     * type : 0
     * url : http://www.wanandroid.com/blog/show/2
     */

    private var desc: String? = null
    var id: Int = 0
    var imagePath: String? = null
    private var isVisible: Int = 0
    private var order: Int = 0
    var title: String? = null
    var type: Int = 0
    var url: String? = null

    override fun describeContents(): Int {
        return 0
    }

    override fun writeToParcel(dest: Parcel, flags: Int) {
        dest.writeString(this.desc)
        dest.writeInt(this.id)
        dest.writeString(this.imagePath)
        dest.writeInt(this.isVisible)
        dest.writeInt(this.order)
        dest.writeString(this.title)
        dest.writeInt(this.type)
        dest.writeString(this.url)
    }

    override fun toString(): String {
        return "BannerBean(desc=$desc, id=$id, imagePath=$imagePath, isVisible=$isVisible, order=$order, title=$title, type=$type, url=$url)"
    }

    constructor() {}

    protected constructor(`in`: Parcel) {
        this.desc = `in`.readString()
        this.id = `in`.readInt()
        this.imagePath = `in`.readString()
        this.isVisible = `in`.readInt()
        this.order = `in`.readInt()
        this.title = `in`.readString()
        this.type = `in`.readInt()
        this.url = `in`.readString()
    }

    companion object {

        val CREATOR: Parcelable.Creator<BannerBean> = object : Parcelable.Creator<BannerBean> {
            override fun createFromParcel(source: Parcel): BannerBean {
                return BannerBean(source)
            }

            override fun newArray(size: Int): Array<BannerBean?> {
                return arrayOfNulls(size)
            }
        }
    }


}