package com.example.wanandroidformine.main.home

import com.example.wanandroidformine.javaBean.BannerBean
import com.example.wanandroidformine.javaBean.HomeListBean
import com.example.wanandroidformine.net.NetWorkManager
import com.example.wanandroidformine.net.Response
import io.reactivex.Observable


/**
 *
 *   HomeModel
 *   @meaning
 *   @remarks
 *  ╮(￣▽￣)╭
 *   @author QJ Shi
 *   @date 2022/9/13
 */
class HomeModel:HomeContract.Mode {
    override fun getHomeList(page: Int): Observable<Response<HomeListBean>> {
        return NetWorkManager.getInstance().getRequest()!!.getHomeList(page)
    }

    override fun getBannerData(): Observable<Response<List<BannerBean>>> {
        return NetWorkManager.getInstance().getRequest()!!.getBanner()
    }
}