package com.example.wanandroidformine.main.mine

import android.content.ContentValues.TAG
import android.content.Intent
import android.os.Bundle
import android.util.Log
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.fragment.app.Fragment
import com.example.wanandroidformine.AboutUsActivity
import com.example.wanandroidformine.R
import com.example.wanandroidformine.base.BaseFragment
import io.reactivex.Observable
import io.reactivex.ObservableOnSubscribe
import io.reactivex.Observer
import io.reactivex.android.schedulers.AndroidSchedulers
import io.reactivex.disposables.Disposable
import io.reactivex.schedulers.Schedulers
import kotlinx.android.synthetic.main.fragment_mine.*
import kotlinx.android.synthetic.main.toolbar_layout.*


/**
 * A simple [Fragment] subclass.
 * Use the [MineFragment.newInstance] factory method to
 * create an instance of this fragment.
 */
class MineFragment : BaseFragment() {


    override fun onCreateView(inflater: LayoutInflater, container: ViewGroup?, savedInstanceState: Bundle?): View? {
        return inflater.inflate(R.layout.fragment_mine, container, false)
    }



    override fun initTitle() {
        mTitleBar.setTitle("我的")
        rlAbout.setOnClickListener {
            var intent: Intent = Intent(this.context, AboutUsActivity::class.java)
            startActivity(intent)

        }
    }

    override fun initView() {


    }






}