package com.example.wanandroidformine.net

import com.example.wanandroidformine.javaBean.BannerBean
import com.example.wanandroidformine.javaBean.HomeListBean
import io.reactivex.Observable
import org.json.JSONObject
import retrofit2.http.GET
import retrofit2.http.POST
import retrofit2.http.Path
import retrofit2.http.Query


/**
 *
 *   Request
 *   @meaning
 *   @remarks
 *  ╮(￣▽￣)╭
 *   @author QJ Shi
 *   @date 2022/9/13
 */
interface Request {

    companion object {
        var HOST: String = "https://www.wanandroid.com/"
    }
    /**
     * 获取主页文章
     */
    @GET("/article/list/{page}/json")
    fun getHomeList(
        @Path("page") page: Int
    ): Observable<Response<HomeListBean>>

    /**
     * 获取首页banner数据
     */
    @GET("banner/json")
    fun getBanner(): Observable<Response<List<BannerBean>>>



}